> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://agentphone.to/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://agentphone.to/docs/_mcp/server.

# Create Sip Trunk

POST https://api.agentphone.ai/v1/sip-trunks

Create a SIP trunk for routing your numbers' calls to your own SIP infrastructure.

Reference: https://agentphone.to/docs/api-reference/sip-trunks/create-sip-trunk-v-1-sip-trunks-post

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Response

### 200

Successful Response

- `id` (string, required)
- `name` (string, required)
- `provider` (string, required)
- `encrypted` (boolean, required)
- `transport` (string, required)
- `mediaEncryption` (string, required)
- `transfers` (string, required)
- `transferCallerId` (string, required)
- `terminationSipUri` (string, required)
- `createdAt` (string, required)
- `originationUris` (list of OriginationUri, optional)
- `allowedIps` (list of AllowedIp, optional)
- `proxyIps` (list of string, optional)
- `credentials` (list of SipTrunkCredential, optional, nullable)

## Types

### OriginationUri

- `sip_uri` (string, required)
- `name` (string, optional, default: )
- `priority` (integer, optional, default: 10)
- `weight` (integer, optional, default: 10)

### AllowedIp

- `cidr` (string, required)
- `name` (string, optional, default: )

### SipTrunkCredential

- `username` (string, required)
- `password` (string, optional, nullable)
- `passwordLast4` (string, optional, nullable)
- `credentialListName` (string, optional, nullable)

## Examples

**Response**

```json
{
  "id": "string",
  "name": "string",
  "provider": "string",
  "encrypted": true,
  "transport": "string",
  "mediaEncryption": "string",
  "transfers": "string",
  "transferCallerId": "string",
  "terminationSipUri": "string",
  "createdAt": "string",
  "originationUris": [
    {
      "sip_uri": "string",
      "name": "",
      "priority": 10,
      "weight": 10
    }
  ],
  "allowedIps": [
    {
      "cidr": "string",
      "name": ""
    }
  ],
  "proxyIps": [
    "string"
  ],
  "credentials": [
    {
      "username": "string",
      "password": "string",
      "passwordLast4": "string",
      "credentialListName": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.agentphone.ai/v1/sip-trunks"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.agentphone.ai/v1/sip-trunks';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.agentphone.ai/v1/sip-trunks"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.agentphone.ai/v1/sip-trunks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.agentphone.ai/v1/sip-trunks")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.agentphone.ai/v1/sip-trunks', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.agentphone.ai/v1/sip-trunks");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.agentphone.ai/v1/sip-trunks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```